
From: "Zhu, Yi" <yi.zhu@intel.com>

On Tue, 1 Jun 2004, Andrew Morton wrote:
>
> kernel-parameter-parsing-fix.patch
>  Kernel parameter parsing fix

Hi Andrew,

This patch from me breaks ide_setup to parse ide params
<http://readlist.com/lists/vger.kernel.org/linux-kernel/3/16224.html>,
could you please apply below fix in the next mm?

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/init/main.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN init/main.c~kernel-parameter-parsing-fix-fix init/main.c
--- 25/init/main.c~kernel-parameter-parsing-fix-fix	2004-06-01 02:53:08.243522256 -0700
+++ 25-akpm/init/main.c	2004-06-01 02:53:47.972482536 -0700
@@ -159,7 +159,7 @@ static int __init obsolete_checksetup(ch
 	p = &__setup_start;
 	do {
 		int n = strlen(p->str);
-		if (len <= n && !strncmp(line, p->str, n)) {
+		if (n == 0 || (len <= n && !strncmp(line, p->str, n))) {
 			if (!p->setup_func) {
 				printk(KERN_WARNING "Parameter %s is obsolete, ignored\n", p->str);
 				return 1;
_
